# DistanceDisplayCondition

#### new Cesium.DistanceDisplayCondition(near, far)
Core/DistanceDisplayCondition.js 25

  Determines visibility based on the distance to the camera.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `near` | Number | `0.0` | optional The smallest distance in the interval where the object is visible.
  `far` | Number | `Number.MAX_VALUE` | optional The largest distance in the interval where the object is visible.

  ##### Example:

      // Make a billboard that is only visible when the distance to the camera is between 10 and 20 meters.
      billboard.distanceDisplayCondition = new DistanceDisplayCondition(10.0 20.0);

### Members

#### far : Number
Core/DistanceDisplayCondition.js 54

  The largest distance in the interval where the object is visible.
  Default Value: `Number.MAX_VALUE`

#### near : Number
Core/DistanceDisplayCondition.js 40

  The smallest distance in the interval where the object is visible.
  Default Value: `0.0`

### Methods

#### staticCesium.DistanceDisplayCondition.clone(value, result) → DistanceDisplayCondition
Core/DistanceDisplayCondition.js 86

  Duplicates a distance display condition instance.

  Name | Type | Description
  --- | --- | ---
  `value` | DistanceDisplayCondition | optional The distance display condition to duplicate.
  `result` | DistanceDisplayCondition | optional The result onto which to store the result.

  ##### Returns:

  The duplicated instance.

#### staticCesium.DistanceDisplayCondition.equals(left, right) → Boolean
Core/DistanceDisplayCondition.js 71

  Determines if two distance display conditions are equal.

  Name | Type | Description
  --- | --- | ---
  `left` | DistanceDisplayCondition | A distance display condition.
  `right` | DistanceDisplayCondition | Another distance display condition.

  ##### Returns:

  Whether the two distance display conditions are equal.

#### clone(result) → DistanceDisplayCondition
Core/DistanceDisplayCondition.js 106

  Duplicates this instance.

  Name | Type | Description
  --- | --- | ---
  `result` | DistanceDisplayCondition | optional The result onto which to store the result.

  ##### Returns:

  The duplicated instance.

#### equals(other) → Boolean
Core/DistanceDisplayCondition.js 116

  Determines if this distance display condition is equal to another.

  Name | Type | Description
  --- | --- | ---
  `other` | DistanceDisplayCondition | Another distance display condition.

  ##### Returns:

  Whether this distance display condition is equal to the other.